# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{erubis}
  s.version = "2.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["makoto kuwata"]
  s.date = %q{2011-04-01}
  s.default_executable = %q{erubis}
  s.description = %q{  Erubis is an implementation of eRuby and has the following features:

  * Very fast, almost three times faster than ERB and about 10% faster than eruby.
  * Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
  * Auto escaping support
  * Auto trimming spaces around '<% %>'
  * Embedded pattern changeable (default '<% %>')
  * Enable to handle Processing Instructions (PI) as embedded pattern (ex. '<?rb ... ?>')
  * Context object available and easy to combine eRuby template with YAML datafile
  * Print statement available
  * Easy to extend and customize in subclass
  * Ruby on Rails support
}
  s.email = %q{kwa(at)kuwata-lab.com}
  s.executables = ["erubis"]
  s.files = ["lib/erubis/context.rb", "lib/erubis/converter.rb", "lib/erubis/engine/ec.rb", "lib/erubis/engine/ecpp.rb", "lib/erubis/engine/ejava.rb", "lib/erubis/engine/ejavascript.rb", "lib/erubis/engine/enhanced.rb", "lib/erubis/engine/eperl.rb", "lib/erubis/engine/ephp.rb", "lib/erubis/engine/eruby.rb", "lib/erubis/engine/escheme.rb", "lib/erubis/engine/optimized.rb", "lib/erubis/engine.rb", "lib/erubis/enhancer.rb", "lib/erubis/error.rb", "lib/erubis/evaluator.rb", "lib/erubis/generator.rb", "lib/erubis/helper.rb", "lib/erubis/helpers/rails_form_helper.rb", "lib/erubis/helpers/rails_helper.rb", "lib/erubis/local-setting.rb", "lib/erubis/main.rb", "lib/erubis/preprocessing.rb", "lib/erubis/tiny.rb", "lib/erubis/util.rb", "lib/erubis.rb", "bin/erubis"]
  s.homepage = %q{http://www.kuwata-lab.com/erubis/}
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{erubis}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{a fast and extensible eRuby implementation which supports multi-language}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
